It appears that some were getting a Virus alert or something to that effect. After some time and a hint from fusinfun it was tracked down that we had an older version of openx (ad server) that had an issue thanks to a Adobe exploit. We are now on the latest greatest version and should be well protected now!!

Please if you see any issues let us know so that we can take care of them.